<?php
namespace Incoviba\Command\Ventas\Cierres;

use Symfony\Component\Console;
use Incoviba\Common\Alias\Command;

#[Console\Attribute\AsCommand(
    name: 'ventas:cierres:vigentes',
    description: 'Obtiene los cierres de ventas vigentes'
)]
class Vigentes extends Command
{
    public function execute(Console\Input\InputInterface $input, Console\Output\OutputInterface $output)
    {
        $this->logger->debug("Running {$this->getName()}");
        $uri = '/api/ventas/cierres/vigentes';
        $output->writeln("GET {$uri}");
        $response = $this->client->get($uri);
        $output->writeln("Response Code: {$response->getStatusCode()}");
        return Console\Command\Command::SUCCESS;
    }
}
